Texa DeskDevelopers

Platform API · Agent bots

Update an agent bot

PATCH/platform/api/v1/agent_bots/{id}

Update an agent bot's attributes

Authorization

api_access_tokenheaderrequired

A platform app's token. Platform apps exist only on a dedicated instance, made in its super admin console. On Texa's shared hosting this API is not open to companies.

Path parameters

idintegerrequired

The ID of the agentbot to be updated

Body application/json

namestring

The name of the agent bot

descriptionstring

The description of the agent bot

outgoing_urlstring

The webhook URL for the bot

account_idinteger

The account ID to associate the agent bot with

avatarstring (binary)

Send the form data with the avatar image binary or use the avatar_url

avatar_urlstring

The url to a jpeg, png file for the agent bot avatar

Responses

200

Success

idnumber

ID of the agent bot

namestring

The name of the agent bot

descriptionstring

The description about the agent bot

thumbnailstring

The thumbnail of the agent bot

outgoing_urlstring

The webhook URL for the bot

bot_typestring

The type of the bot

bot_configobject

The configuration of the bot

account_idnumber

Account ID if it's an account specific bot

access_tokenstring

The access token for the bot

system_botboolean

Whether the bot is a system bot

401

Unauthorized

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring